| Haskell Hierarchical Libraries (mtl package) | Source code | Contents | Index

Control.Monad.Cont.Class

Portability | non-portable (multi-parameter type classes)
Stability | experimental
Maintainer | libraries@haskell.org

Description
Continuation monad class
Documentation
class Monad m => MonadCont m where

Methods

callCC :: ((a -> m b) -> m a) -> m a

Instances

MonadCont (Cont r)
MonadCont m => MonadCont (ListT m)
Monad m => MonadCont (ContT r m)
(Error e, MonadCont m) => MonadCont (ErrorT e m)
MonadCont m => MonadCont (ReaderT r m)
MonadCont m => MonadCont (StateT s m)
MonadCont m => MonadCont (StateT s m)
(Monoid w, MonadCont m) => MonadCont (WriterT w m)
(Monoid w, MonadCont m) => MonadCont (WriterT w m)
(Monoid w, MonadCont m) => MonadCont (RWST r w s m)
(Monoid w, MonadCont m) => MonadCont (RWST r w s m)

Produced by Haddock version 0.8